Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 15 Aug 2020 16:21:59 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have been notified about the order I placed online last week. I was later called by the Delivery on last  Thursday. I have mentioned my address with the block number and building number clearly during my placement of order. On top of that through telephonic conversation I tried to explain the location by citing major land marks near my place. However the delivery  person in converation does not seem to get any geographical idea about my location and he kept insisted on the Road number which I was not having during my rush hour. After couple of couple of hours, I tried calling the person  to convey Road number and it went in vain. I received an sms from splash on an unsuccessful attempt on deliver later. I felt poor servce on this platform and I am still waiting for my delivery. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1389541